New GNU toolchain for Ubuntu

Go To Last Post
9 posts / 0 new
Author
Message
#1
  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

Hey all,

Got excited about getting AVR32 studio running on my ubuntu box but I cannot find any source or .debs for the toolchain required to actually do anything! Should I just 'alien' the rpms from one of the FC packages or are there .debs on the horizon? Or am I just being blind (a possibility to which I'm very open ;) )

-S.

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

Hmm, even alien'ing the rpms from either FC5 or SuSE downloads fails. In both cases there are incompatibilities with libelf. In the FC5 case the interface versions just don't match, in the second the interface versions match but there are still unresolved symbols in the linking process. So, how those proper .debs looking? ;)

-S.

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

squidgit wrote:
So, how those proper .debs looking? ;)

Yeh - give us Ubuntuns a chance :D

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

Release 2.0.0 is up on atmel's deb repo's.

ADD repo to /etc/apt/sources.list:

deb http://www.atmel.no/beta_ware/avr32/ubuntu/dapper binary/

THEN: 

sudo apt-get update

Finaly New install:

sudo apt-get install stk1000bsp

OR update:

sudo apt-get dist-upgrade
  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

yup, done that but (bsp2.0.0 toolchain) != (whatever avr32studio needs)

for example bsp2.0.0 has gcc4.0.2 where as avr32studio needs 4.1.something. The versions of avr32program, avr32gdbproxy, binutils etc are off too.

-S.

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

Ubuntu packages will be releases at http://www.atmel.com/dyn/product...
in a few days (after easter) :-)

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

Cool, look forward to it :)

-S.

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

are they available also for feisty fawn ?

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

The ones for Ubuntu 6.06(Dapper Drake) should also work for 6.10(Edgy Eft) and 7.04(Feisty Fawn).